pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

DB drivers for www/php-owncloud


------- Quoted message start -------
Module Name:    pkgsrc
Committed By:   gdt
Date:           Wed Jun 13 23:16:01 UTC 2012

Modified Files:
        pkgsrc/www/php-owncloud: MESSAGE Makefile

Log Message:
Add dependency on php-pdo_sqlite.

Without this module, errors were logged after an upgrade from owncloud 3.
Add a hint to enable the module to MESSAGE.

To generate a diff of this commit:
cvs rdiff -u -r1.4 -r1.5 pkgsrc/www/php-owncloud/MESSAGE
cvs rdiff -u -r1.7 -r1.8 pkgsrc/www/php-owncloud/Makefile

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.
------- Quoted message end -------

Curious change, because db driver should be handled in

I feel that owncloud-4 require either PDO or MDB2 drivers.
How about change dependency in to pdo drivers instead?

One question point is
  databases/php-sqlite is for SQLite2 (PDO support is disabled),
  databases/php-pdo_sqlite is for SQLite3.
Doesn't it mean that upgrade from 3 to 4 require database migration?

OBATA Akio /

Home | Main Index | Thread Index | Old Index